# 檔案管理器
## 概述
檔案瀏覽器可以分類查看系統上的檔案和資料夾，支持檔案和資料夾的常用操作，其主介面如下圖所示。

![圖1 檔案瀏覽器-big](image/1.png)

## 基本要點
### 檔名
（1）系統檔名長度最大可以為255個字元，通常是由字母、數位、“.”（點號）、“_” （底線）和“-”（減號）組成的。

（2）“.”為檔名首字母時，默認情况下會被隱藏，設定了顯示隱藏文件才會顯示。

（3）檔名不能含有“/”符號； 因為“/”在作業系統目錄樹中，表示根目錄或路徑中的分隔符號。
### 路徑

（1）使用目前的目錄下的檔案時，可以直接引用檔名； 如果要使用其他目錄下的檔案，就必須指定該檔案所在的目錄。

（2）絕對路徑是一定的，相對路徑是隨著用戶工作目錄改變的。

           絕對路徑，即從根目錄開始的路徑，比如/home/kylin/test

          相對路徑，即從當前所在目錄開始的路徑，比如位於/home目錄下時，test檔案的相對路徑為kylin/test

（3）每個目錄下都有代表目前的目錄的“.”檔案，和代表目前的目錄上一級目錄的“..”檔案。

    當位於/etc目錄下，test檔案的相對路徑則表示為../home/kylin/test

### 檔案類型
系統支援如下表中的檔案類型。 

|檔案類型|	說明
| :------------ | :------------ |
|普通檔案|包括文字檔、資料檔案、可執行的二進位程式等
|目錄檔案（目錄）|系統把目錄看成是一種特殊的檔案，利用它構成檔案系統的分層樹型結構
|設備檔案（字元設備檔案/塊設備檔案）|系統用它來識別各個設備驅動器，內核使用它們與硬體設備通信
|符號連結|存放的數據是檔案系統中通向某個檔案的路徑； 當調用符號連結檔案時，系統將自動訪問保存在檔案中的路徑

<br>

## 視窗組成
檔案流覽器窗口可劃分為工具列和地址欄、資料夾標籤預覽區、側邊欄、視窗區和狀態列、預覽視窗六個部分。

![圖2視窗分區示意圖-big](image/2.png)

### 工具列和地址欄
工具列上圖標對應的功能如下表。

|圖標|說明|圖標|說明
| :------------ | :------------ | :------------ | :------------ |
|![](image/icon2.png)|	返回上一級	|![](image/icon8.png)|	後退
|![](image/icon3.png)|	蒐索資料夾、檔案等，提供高級搜索功能	|![](image/icon9.png)|	選擇視圖模式（圖標視圖、清單視圖）
|![](image/icon4.png)|	選擇排序方式（名稱、修改日期等）	|![](image/icon10.png)|	高級功能
|![](image/icon5.png)|最小化|![](image/icon11.png)|		最大化
|![](image/icon6.png)|	關閉	||||
	
<br>

### 資料夾標籤預覽區
用戶可通過資料夾標籤預覽區查看已打開的資料夾，並能够通過點擊“![](image/icon12.png)”圖標添加其他資料夾。

![圖3資料夾標籤預覽區](image/3.png)

### 側邊欄
側邊欄列出了所有檔案的目錄層次結構，提供對作業系統中不同類型資料夾目錄的瀏覽。 外接的移動設備、遠程連接的共亯設備也會在此處顯示。

![圖4檔案瀏覽器側邊欄](image/4.png)

### 視窗區
視窗區列出了目前的目錄節點下的子目錄、檔案。 在側邊欄清單中按一下一個目錄，其中的內容應就會在此處顯示，檔案圖標高亮表示該檔案被選中。

![圖5 視窗區-big](image/5.png)

### 狀態列
（1）如果只選擇資料夾，會顯示選中的資料夾個數。

（2）如果選中的是檔案，會計算選中的檔案的總的大小。

（3）電腦視圖中會顯示選中的項目數（包括分區或者移動設備等）。

（4）右下角的滑動條為縮放條，可對文件大小進行拖動調節

![圖6 狀態列-big](image/6.png)
### 預覽視窗
用過點擊預覽視窗右上角的預覽圖標即可對檔案詳情預覽，以圖片檔案為例，在預覽視窗可查看圖片名稱、類型、大小、創建時間、分辯率等資訊，在圖片資訊的下方。

|圖標|說明|
| :------------ | :------------ |
|![](image/icon14.png)|	僅檔案預覽
	
<br>

![圖7 預覽視窗](image/7.png)

## 主要功能
### 查看檔案和資料夾
用戶可以使用檔案瀏覽器查看和管理本機檔案、本地儲存設備（如外置硬碟）、檔案伺服器和網路共用上的檔案。
在檔案瀏覽器中，按兩下任何資料夾，可以查看其內容（使用檔案的默認應用程序打開它）； 也可以按右鍵一個資料夾，在新標籤頁或新窗口中打開它。
#### 視圖模式
默認情况下，系統以圖標形式顯示出所有的檔案和目錄。

用戶通過點擊“![](image/icon16.png)”圖標可選擇檔案視圖模式，可將圖標設為：圖標視圖、清單視圖模式，電腦目錄還可設定電腦視圖。

![圖8 視圖模式](image/8.png)

在圖標視圖中，檔案瀏覽器中的檔案將以<大圖標+檔名>的形式顯示。

![圖9 圖標視圖-big](image/9.png)

在清單視圖中，檔案瀏覽器中的檔案將以<小圖標+檔名+檔案資訊>的形式顯示。

![圖10 清單視圖-big](image/10.png)

#### 排序方式
瀏覽時，用戶可以用不同的管道檔案進行排序。 排列檔案的管道取決於當前使用的資料夾視圖管道，用戶可以按一下工具列上的“![](image/icon4.png)”圖標來更改。

![圖11 排序方式-big](image/11.png)

各種檔案排序方式介紹如下：

（1）按名稱排序：按檔名以字母順序排列。

（2）按修改日期排序：按上次更改檔案的日期和時間排序； 默認情况下會從最舊到最新排列。

（3）按類型排序：按檔案類型以字母順序排列； 會將同類檔案歸併到一起，然後按名稱排序。

（4）按大小排序：按文件大小（檔案佔用的磁碟空間）排序； 默認情况下會從最小到最大排列。

（5）設定昇冪/降序：根據對應的類型，按照從小到達或者從大到小的順序排序。

（6）標記篩選：篩選出目前的目錄下添加了相同顏色標記的檔案以及資料夾。


![圖12 標記篩選-big](image/12.png)


###蒐索和篩選功能
檔案瀏覽器為用戶提供蒐索和篩選功能。

搜索功能即：點擊“![](image/icon3.png)”圖標按鈕，可以切換到蒐索輸入框。

蒐索框中輸入內容然後按回車鍵，或者稍等片刻（小於1秒）即可在目前的目錄對檔案進行蒐索。

![圖13 搜索功能-big](image/13.png)

篩選功能即：在目前的目錄下或者對蒐索出來的檔案，用戶可自定義條件，根據名稱對應關鍵字、類型對應檔案類型、文件大小對應要蒐索的文件大小、修改時間對應某個時間段等進行篩選。 篩選功能只能篩選目前的目錄下或者蒐索之後的檔案，不包含目前的目錄下子資料夾的篩選。

篩選框如下圖所示。

![圖14 篩選框-big](image/14.png)

展開全部類型的篩選條件，其彈窗如下圖所示。

![圖15 全部類型篩選條件](image/15.png)

###檔案和資料夾常用操作
（1）複製

*管道1：選中，按右鍵>“複製”>目標位置，按右鍵>“粘貼”

*管道2：選中，Ctrl+C >目標位置，Ctrl+V

*管道3：從項目所在資料夾視窗拖動至目的資料夾視窗

在管道3中，如果兩個資料夾都在電腦的同一硬碟設備上，項目將被移動； 如果是從U盤拖拽到系統資料夾中，項目將被複製（因為這是從一個設備拖拽到另一個設備）。 要在同一設備上進行拖動複製，需要在拖動同時按住Ctrl鍵。

（2）移動

*管道1：選中，按右鍵>“剪切”>目標位置，按右鍵>“粘貼”

*管道2：選中，Ctrl+X >目標位置，Ctrl+V

（3）删除

**删除至回收站：**

*管道1：選中，按右鍵>“删除到回收站”

*管道2：選中，Delete

*管道3：選中，拖入案頭上的“回收站”

若删除的檔案為可移動設備上的，在未進行清空回收站的情况下彈出設備，可移動設備上已删除的檔案在其他作業系統上可能看不到，但這些檔案仍然存在； 當設備重新插入删除該檔案所用的系統時，將能在回收站中看到。

**永久删除：**

*管道1：在“回收站”中再删除

*管道2：選中，Shift+Delete

（4）重命名

*管道1：選中，按右鍵>“重命名”

*管道2：選中，F2

若要撤銷重命名，按Ctrl+Z即可恢復。

###格式化和卸載設備
在側邊欄中，對接入系統的設備，按右鍵，出現選單如下圖所示。

![圖16移動設備右鍵菜單](image/16.png)

其中：

*卸載/彈出：這兩項都是卸載移動設備的作用； 區別在於卸載後系統中依然存在該設備（未掛載狀態），彈出則無法再在系統中找到該設備。 設備右側的“！[]（image/icon18.png）”按鈕，是彈出的作用。

*格式化：系統默認格式化為NTFS檔案系統，用戶可自行更改為Ext4或者VFAT格式； 格式化過程中請勿移除設備，否則會產生异常，導致設備無法掛載等問題。

![圖17 格式化](image/17.png)

###訪問網絡
用於在局域網中共用檔。 以共亯“音樂”資料夾為例：

按右鍵“音樂”，選擇“共亯選項”，彈出對話方塊。 用戶可對共亯的資料夾資訊、許可權進行設定。

![圖18共亯選項-big](image/18.png)

（1）設定共亯選項後，點擊確認會設定共亯，視窗會自動關閉，如果取消則不設定。

（2）在同一局域網中的另一個系統中，打開電腦目錄，查看網上鄰居下項目，找到共用檔的主機名。 打開後，可看到被共亯的檔案。 按兩下該檔案，彈出連接提示框。

![圖19 連接提示-big](image/19.png)

（3）連接後，可看到共用檔內的內容，在側邊欄也會顯示接入的主機。

![圖20 共亯資料夾內容-big](image/20.png)

（4）如果想不再共亯該資料夾，可再次按右鍵資料夾，在“共亯選項”中，取消共亯的勾選。

##工具以及設定
設定即檔案管理器的個人偏好設定，偏好項分為三部分：編輯工具、設定項、手册說明。

（1）編輯：複製、粘貼、剪切和删除

（2）設定：置頂視窗、顯示隱藏文件、禁用縮略圖、常駐後臺、允許並行操作

（3）手册及說明：幫助、關於

|圖標|說明|圖標|說明
| :------------ | :------------ | :------------ | :------------ |
|![](image/icon20.png)|	複製所選項目	|![](image/icon21.png)|	粘貼所選項目
|![](image/icon22.png)| 剪切所選項目	|![](image/icon23.png)|	删除所選項目

<br>

![圖21工具以及設定](image/21.png)

可設定的內容包含了多個方面，每個標籤頁對應的功能簡要說明。

|標籤頁|說明
|：------------ |：------------ |
|置頂視窗|將檔案管理器視窗放到最頂層顯示
|顯示隱藏文件|對.開頭的檔案是否顯示
|禁用縮略圖|圖片、視頻、wps辦公檔案等是否顯示預覽縮略圖
|常駐後臺|檔案管理器程式是否一直保持在後臺不完全退出
|允許操作並行|多個檔案操作是否可以同時進行
|幫助|跳轉到用戶手冊
|關於|顯示檔案瀏覽器的詳細資訊

<br>

##附錄
### 1快速鍵

|快速鍵|功能|
|：------------ |：------------ |
| Ctrl+C |複製|
| Ctrl+X |剪切|
| Ctrl+V |粘貼|
| Delete |删除|
| Shift+Delete |永久删除|
| Ctrl+Z |撤銷|
| Ctrl+A |全選|
| F2 |重命名|
| Alt +D |編輯地址|

### 2萬用字元說明

|萬用字元|說明|
|：------------ |：------------ |
|星號（*）|匹配零個或多個字元|
|問號（？）| 匹配任何一個字元|
| [abl A-F] |匹配任何一個列舉在方括號中的字元，示例中表示a、b、l或任何一個從A到F的大寫字元|

### 3系統部分目錄簡要介紹

（1）/bin：存放普通用戶可以使用的命令檔案。

（2）/boot：包含內核和其它系統程式啟動時使用的檔案。

（3）/dev：設備檔案所在目錄。 在作業系統中設備以檔案形式管理，可按照操作檔案的管道對設備進行操作。

（4）/etc：系統的設定檔。

（5）/home：用戶主目錄的位置，保存用戶檔案，包括了設定檔、檔案等。

（6）/lib：包含許多由/bin中的程式使用的共亯庫檔案。

（7）/opt：存放可選擇安裝的檔案和程式，主要是協力廠商開發者用於安裝他們的套裝軟體。

（8）/root：系統管理員（root或超級用戶）的主目錄。

（9）/usr：包括與系統用戶直接相關的檔案和目錄，一些主要的應用程序也保存在該目錄下。

（10）/var：包含一些經常改變的檔案。 如假離線（spool）目錄、檔案日誌目錄、鎖檔案和暫存檔案等。
